<% I18n.with_locale(:en) do %>
  <% if @resource.unconfirmed_email.blank? %>
    <p class="email-greeting"><%= t(".greeting", recipient: @resource.name) %></p>
  <% end %>

  <% if @resource.is_a?(Decidim::User) %>
    <% authorization = Decidim::Authorization.find_by(user: @resource) %>
    <% if authorization && authorization.try(:verification_metadata).try(:[], 'rejected') %>
      <p><%= t(".authorization_briefing.rejected") %></p>
      <ul>
        <li>Make sure the information entered is correct;</li>
        <li>Make sure the information is clearly visible in the uploaded image;</li>
        <li>We aim to approve all verifications as fast as possible. However, please note that it can take up to 72 hours.</li>
      </ul>
      <p>You can submit your information again after signing in.</p>
    <% elsif authorization && authorization.granted_at.present? %>
      <p><%= t(".authorization_briefing.granted") %></p>
    <% end %>
  <% end %>

  <% if @resource.confirmed? %>
    <p class="email-instructions">Sign in on the platform by clicking the link below.</p>
    <p class="email-button email-button__cta">
      <%= link_to "Sign-in", decidim.new_user_session_url %>
    </p>
  <% else %>
    <p class="email-instructions"><%= t(".instruction") %></p>
    <p class="email-button email-button__cta">
      <%= link_to t(".action"), confirmation_url(@resource, confirmation_token: @token, host: @resource.organization.host) %>
    </p>
  <% end %>

  <p class="email-instructions"><%= t(".acknowledgment") %></p>
  <p class="email-instructions"><%= t(".farewell") %></p>
<% end %>
